### Function Macro

# GLib memmove

deprecated: 2.40

#### Declaration

    #define g_memmove (
      dest,
      src,
      len
    )

#### Description

Copies a block of memory `len` bytes long, from `src` to `dest`. The source and destination areas may overlap.

Deprecated since: 2.40

Just use memmove().

This function is not directly available to language bindings.

#### Parameters

`dest`

  Type: `-`

  The destination address to copy the bytes to.

`src`

  Type: `-`

  The source address to copy the bytes from.

`len`

  Type: `-`

  The number of bytes to copy.